Gossamer Forum
Home : Products : Gossamer Links : Discussions :

New install has a problem

Quote Reply
New install has a problem
I installed Links 3.2.0 (latest download) into my server. I changed owner to be nobody and installed the new updates. But when I go to "set up" in Admin Panel and click on environment, the follwoing error came up. What is wrong? Please help! ThanksStack Trace ====================================== Links (12786): Links::environment called at GT::Template::_call_func line 791 with arguments (0). Links (12786): GT::Template::_call_func called at /var/apache/cgi-bin/instruction/admin/templates/admin/compiled/setup_env.html.compiled line 261 with arguments (GT::Template=HASH(0x32a8a8), Links::environment, 1, 0, 0). Links (12786): GT::Template::parsed_template called at /var/apache/cgi-bin/instruction/admin/GT/Template.pm line 565 with arguments (GT::Template=HASH(0x32a8a8)). Links (12786): GT::Template::_parse called at /var/apache/cgi-bin/instruction/admin/GT/Template.pm line 154 with arguments (GT::Template=HASH(0x32a8a8), setup_env.html, HASH(0x3218e4)). Links (12786): GT::Template::parse called at Links::admin_page line 307 with arguments (GT::Template, setup_env.html, ARRAY(0x20146c), HASH(0x3218e4)). Links (12786): Links::admin_page called at /var/apache/cgi-bin/instruction/admin/admin.cgi line 50 with no arguments. Links (12786): main::main called at /var/apache/cgi-bin/instruction/admin/admin.cgi line 24 with no arguments. System Information ====================================== Current user: nobody (60001) Perl version: 5.8.3 Gossamer Links version: 3.2.0 GT::Template version: 2.161 Running under mod_perl: No Running under SpeedyCGI: No @INC = /var/apache/cgi-bin/instruction/admin /usr/local/lib/perl5/5.8.3/sun4-solaris /usr/local/lib/perl5/5.8.3 /usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris /usr/local/lib/perl5/site_perl/5.8.3 /usr/local/lib/perl5/site_perl/5.6.1 /usr/local/lib/perl5/site_perl . $!: Invalid argument CGI Input ====================================== do => page page => setup_env.html CGI Cookies ====================================== __utma => 107347457.555279277.1151604465.1159994683.1160055479.29 __utmc => 107347457 __utmz=107347457.1159891430.24.2.utmccn=(referral)|utmcsr=library.rider.edu|utmcct=/|utmcmd => referral Environment ====================================== DOCUMENT_ROOT => /var/apache/htdocs GATEWAY_INTERFACE => CGI/1.1 GT_TMPDIR => /var/apache/cgi-bin/instruction/admin/tmp HTTP_ACCEPT => image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/x-shockwave-flash, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, */* HTTP_ACCEPT_ENCODING => gzip, deflate HTTP_ACCEPT_LANGUAGE => en-us HTTP_CONNECTION => Keep-Alive HTTP_COOKIE => __utmc=107347457; __utma=107347457.555279277.1151604465.1159994683.1160055479.29; __utmz=107347457.1159891430.24.2.utmccn=(referral)|utmcsr=library.rider.edu|utmcct=/|utmcmd=referral HTTP_HOST => abaris.rider.edu HTTP_REFERER => http://abaris.rider.edu/cgi-bin/instruction/admin/admin.cgi?page=setup_nav.html HTTP_USER_AGENT => Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322) PATH => /usr/sbin:/usr/bin QUERY_STRING => do=page;page=setup_env.html REMOTE_ADDR => 192.107.45.163 REMOTE_PORT => 1909 REQUEST_METHOD => GET REQUEST_URI => /cgi-bin/instruction/admin/admin.cgi?do=page;page=setup_env.html SCRIPT_FILENAME => /var/apache/cgi-bin/instruction/admin/admin.cgi SCRIPT_NAME => /cgi-bin/instruction/admin/admin.cgi SERVER_ADDR => 192.107.45.156 SERVER_ADMIN => yangs@rider.edu SERVER_NAME => abaris.rider.edu SERVER_PORT => 80 SERVER_PROTOCOL => HTTP/1.1 SERVER_SIGNATURE => Apache/1.3.26 Server at abaris.rider.edu Port 80 SERVER_SOFTWARE => Apache/1.3.26 (Unix) mod_perl/1.24 ApacheJserv/1.1.2 TZ => US/Eastern UNIQUE_ID => RSUUyMBrLZwAAAMRvgM Bababa

Subject Author Views Date
Thread New install has a problem banana 1274 Oct 5, 2006, 11:34 AM
Post Re: [banana] New install has a problem
brewt 1210 Oct 5, 2006, 3:34 PM